Checkout
 

pascalschumacher in commons

org.jacoco:jacoco-maven-plugin 0.8.2 -> 0.8.3 (Java 11)
Travis: Replace Oracle JDK 10 with Open JDK 10, because Oracle JKD 10 is no longer available on travis.
Travis CI: Add Java 10 build
Use java9 profile for Java 9 and later versions
Update commons-lang3 test dependency to version 3.7
pom.xml: Remove prerequisites element which is only intended for use by maven plugins
Update to commons-parent version 46
maven-surefire-report-plugin 2.21.0 -> 2.22.0.
commons-build-plugin 1.8 -> 1.9
IBANValidatorTest: add Belarus (BY) valid example (closes #11)

patch by h0l0gram

(side-effect: close #10)

Caverphone1#encode: correct comment (closes #12)

patch submitted by RubbaBoy

pom.xml: use findbugs version from commons-parent (side-effect: close #5)
remove jdk6 travis build because it does not work with commons-parent 43

.travis.yml: also build on java 9
revert "revert "Update commons-parent from 42 to 43." because it breaks the build on java 6"

remove jdk6 travis build because it does not work with commons-parent 43

revert "revert Update commons-parent from 42 to 43"

remove jdk6 travis build because it does not work with commons-parent 43

[BEANUTILS-504] Update from Java 6 to 7

.travis.yml: remove jdk 6 build

revert "Update commons-parent from 42 to 43." because this breaks the build on java 6
revert "Update commons-parent from 42 to 43." because it breaks the build on java 6

EMAIL-176: Add Automatic-Module-Name MANIFEST entry for Java 9 compatibility
NET-648: Add Automatic-Module-Name MANIFEST entry for Java 9 compatibility
add maven default goal (clean, verify, apache-rat, clirr, javadoc) and execute it on travis
package.html: fix error reported by java 9 javadoc
use travis cobertura profile from parent pom
pom.xml: add java 9 profile, use java 9 compatible jacoco version
travis: also build on java 9
[CODEC-244] Update from Java 6 to Java 7.

use System#lineSeparator

BinaryEncoderAbstractTest#testEncodeNull: fail if expected exception is not thrown
[CODEC-244] Update from Java 6 to Java 7.

Travis: remove java 6 build

Revert revision 1812758 "Update tests from Apache Commons IO 2.5 to 2.6." because commons-io requires java 7 and commons-email only java 6.